Page MenuHomePhabricator

evas_filter: remove shader compile error
ClosedPublic

Authored by kimcinoo on Nov 4 2019, 6:54 PM.

Details

Summary

When grayscale fillter works there is a compile error:
implicit cast from "float" to "vec3"

Test Plan
  1. Create filter_example with following .

efl_gfx_filter_program_set(image, "grayscale ()", "grayscale");

  1. Run.

ELM_ACCEL=gl ./filter_example

Diff Detail

Repository
rEFL core/efl
Branch
evas_remove.shader.compile.error
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14348
Build 9875: arc lint + arc unit
kimcinoo created this revision.Nov 4 2019, 6:54 PM
kimcinoo requested review of this revision.Nov 4 2019, 6:54 PM
cedric added a comment.Nov 6 2019, 9:58 AM

Could we get more filter test in expedite? So I could more easily spot this.

ye...s probably I could add some to the expedite.

Hermet accepted this revision.Nov 11 2019, 4:13 PM
This revision is now accepted and ready to land.Nov 11 2019, 4:13 PM
This revision was automatically updated to reflect the committed changes.